- Qt 6.8
- Qt Wayland Compositor
- C++ Classes
- QWaylandResource
- Qt Wayland Compositor | Commercial or GPLv3

# QWaylandResource Class

QWaylandResource is a container for a `wl_resource`. More...

Header: | `#include <QWaylandResource>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS WaylandCompositor)` `target_link_libraries(mytarget PRIVATE Qt6::WaylandCompositor)`
qmake: | `QT += waylandcompositor`

- List of all members, including inherited members

## Public Functions

| QWaylandResource()
| QWaylandResource(wl_resource *resource)
wl_resource * | resource() const

## Detailed Description

The QWaylandResource is a simple wrapper around the Wayland type `wl_resource`, and makes it possible to use wl_resource pointers in Qt Quick APIs.

See also Custom Shell.

## Member Function Documentation

### QWaylandResource::QWaylandResource()

Constructs an invalid QWaylandResource. The resource() accessor will return null.

### `[explicit]` QWaylandResource::QWaylandResource(wl_resource *resource)

Constructs a QWaylandResource which contains resource.

### wl_resource *QWaylandResource::resource() const

Returns the wl_resource pointer held by this QWaylandResource.